# Add-RASURLRedirectionEntry.md

## NAME

Add-RASURLRedirectionEntry

## SYNOPSIS

Adds a URL redirection entry.

## SYNTAX

\*\*Add-RASURLRedirectionEntry -[URL](#url-string) *(string)* \[-[Action](#Action) {DoNotRedirect | Redirect}] \[[Enabled](#enabled-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds a URL redirection to the URL redirection settings list for the current site.

## PARAMETERS

## Enabled (bool)

Whether the URL redirection will be enabled or disabled.

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## URL (string)

The URL to redirect or not.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Action ([RedirectActionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/redirectactiontype.md))

The redirect action type.

Possible values: DoNotRedirect, Redirect

```
        Required?                    false

        Position?                    named

        Default value                DoNotRedirect

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified URL redirection settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASURLRedirectionEntry -URL test.com

Adds a URL redirection for test.com to the URL redirection settings list for the current site.

## RELATED LINKS

* [Get-RASURLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionsettings.md)
* [Set-RASURLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionsettings.md)
* [Remove-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasurlredirectionentry.md)
* [Set-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionentry.md)
* [Get-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionentry.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasurlredirectionentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
